Skip to content

Projects

Projects represent client engagements, internal initiatives, or any body of work. Assign projects to workflows, track value, manage deliverables, and log time.

FieldTypeDescription
iduuid
account_iduuid
created_byuuid
namestring
descriptionstring
stage_iduuid?
stage_labelstring
stage_colorstring
company_iduuid?
company_namestring
assigned_touuid?
assigned_namestring
valueint?
start_datestring?
end_datestring?
is_retainerbool
renewal_datestring?
timezonestring?
notesstring
tagsstring[]
custom_fieldsobject
workflow_iduuid?
created_atdatetime
updated_atdatetime

Endpoint: projects-contacts-add

FieldTypeRequiredDescription
project_idstringYes
contact_idstringYes
rolestringNo
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-contacts-add \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"project_id": "...", "contact_id": "..."}'

Endpoint: projects-contacts-list

FieldTypeRequiredDescription
project_idstringYes
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-contacts-list \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"project_id": "..."}'

Endpoint: projects-contacts-remove

FieldTypeRequiredDescription
project_idstringYes
contact_idstringYes
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-contacts-remove \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"project_id": "...", "contact_id": "..."}'

Endpoint: projects-create

FieldTypeRequiredDescription
namestringYes
descriptionstringNo
stage_idstring?No
workflow_idstring?No
company_idstring?No
assigned_tostring?No
valueint?No
start_datestring?No
end_datestring?No
is_retainerboolNo
renewal_datestring?No
timezonestring?No
notesstringNo
tagsstring[]No
custom_fieldsobject?No
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-create \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"name": "..."}'

Endpoint: projects-delete

FieldTypeRequiredDescription
idstringYes
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-delete \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"id": "..."}'

Endpoint: projects-get

FieldTypeRequiredDescription
idstringYes
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-get \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"id": "..."}'

Endpoint: projects-list

FieldTypeRequiredDescription
searchstringNo
tagsstring[]No
stage_idstring?No
company_idstring?No
assigned_tostring?No
cursorstringNo
limitintNo
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-list \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{}'

Endpoint: projects-update

FieldTypeRequiredDescription
idstringYes
namestring?No
descriptionstring?No
stage_idstring?No
company_idstring?No
assigned_tostring?No
valueint?No
start_datestring?No
end_datestring?No
is_retainerbool?No
renewal_datestring?No
timezonestring?No
notesstring?No
tagsstring[]No
custom_fieldsobject?No
Terminal window
curl -X POST https://api.driftwoodapp.com/api/projects-update \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{"id": "..."}'